Bug 608627 - rgmanager: stopping the cluster VM service will not shutdown the VM using ACPI but will kill the process after 2 min.
Summary: rgmanager: stopping the cluster VM service will not shutdown the VM using ACP...
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
(Show other bugs)
Version: 5.5
Hardware: All Linux
high
high
Target Milestone: rc
: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-28 10:50 UTC by yeylon@redhat.com
Modified: 2016-04-18 06:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-25 21:10:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description yeylon@redhat.com 2010-06-28 10:50:55 UTC
Description of problem:

from the luci GUI stop the service (vm:RHEVM-HA) this will move the service to disable state.
the expected operation is that the VM will be properly shutdown using ACPI.
instead the shutdown command will not be send to the VM and fater 120 SEC. (shutdown timeout) the VM will be killed (KVM process)  

this will cause VM corruption for sure after some time
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Jun 28 11:56:29 green-vdsa rhev-check.sh[30027]: <info> Checking RHEV status on 10.35.72.253
Jun 28 11:56:30 green-vdsa clurgmgrd[5455]: <notice> Stopping service vm:RHEVM-HA
Jun 28 11:58:31 green-vdsa avahi-daemon[5322]: Interface vnet0.IPv6 no longer relevant for mDNS.
Jun 28 11:58:31 green-vdsa avahi-daemon[5322]: Leaving mDNS multicast group on interface vnet0.IPv6 with address fe80::785a:d1ff:fe4a:b6db.
Jun 28 11:58:31 green-vdsa avahi-daemon[5322]: Withdrawing address record for fe80::785a:d1ff:fe4a:b6db on vnet0.
Jun 28 11:58:31 green-vdsa kernel: vmNetwork: port 2(vnet0) entering disabled state
Jun 28 11:58:31 green-vdsa kernel: device vnet0 left promiscuous mode
Jun 28 11:58:31 green-vdsa kernel: vmNetwork: port 2(vnet0) entering disabled state
Jun 28 11:58:36 green-vdsa clurgmgrd[5455]: <notice> Service vm:RHEVM-HA is disabled
Jun 28 12:06:52 green-v

Comment 1 Lon Hohberger 2010-06-29 09:16:26 UTC
rgmanager issues a 'virsh shutdown', waits for the machine to shut down for 2 minutes, then issues 'virsh destroy'.

It sounds like either 'virsh shutdown' is not sending the ACPI request to the guest.

I checked the domain configuration; it is enabled:

[snip]
  <features>
    <acpi/>
    <apic/>
    <pae/>
  </features>
[/snip]

It almost sounds like this problem:

https://bugzilla.redhat.com/show_bug.cgi?id=539365

Comment 2 Lon Hohberger 2010-06-29 09:53:47 UTC
vm.sh is definitely calling 'virsh shutdown'; I just double-checked this.


Note You need to log in before you can comment on or make changes to this bug.